/* $Id: imgopen.c,v 1.4 2000/08/21 23:55:27 chris Exp $
 *
 * Olivetti M20 PCOS diskette access utility: image open routines
 * Copyright (C) 2000 by Christian Groessler
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 
 * 02111-1307, USA.
 */

#include <stdio.h>
#include "imgopen.h"

int open_img_rw(char *name,FILE **file)
{
    *file = fopen(name,"rb+");
    if (!*file) return(1);
    return(0);
}

int open_img_ro(char *name,FILE **file)
{
    *file = fopen(name,"rb");
    if (!*file) return(1);
    return(0);
}

int open_img_new(char *name,FILE **file)
{
    *file = fopen(name,"wb");
    if (!*file) return(1);
    return(0);
}


/* Local Variables: */
/* c-file-style: "cpg" */
/* c-basic-offset: 4 */
/* End: */
